/*
 * This code is released under the Microsoft Public License (MS-PL). See license.txt, below.
 */

unsigned char getbyte(
	unsigned char *ptr
	);

unsigned short getword(
	unsigned char *ptr
	);

unsigned long getlong(
	unsigned char *ptr
	);

_int64 getlonglong(
	unsigned char *ptr
	);

unsigned long getFilesize(
	FILE *fp
	);

unsigned long getBitCount(
	unsigned long n
	);

void GetType(
	unsigned char *buf,
	unsigned long size,
	unsigned long i,
	InternalMusic* im
	);

bool GetDataOffset(
	unsigned char *buf, 
	unsigned long size,
	unsigned long startIdx,
	unsigned long maxSearchFileNum,
	bool bSkip,
	InternalMusic* im
	);
